1. public
go fiber | Auth
  • public
    • health
      GET
    • Register
      POST
    • Login
      POST
  • User
    • Update Profile
      PUT
    • Get Profile
      GET
    • Change password
      POST
    • Deactive account
      POST
    • Logout
      POST
    • Refresh token jwt
      POST
  • Absensi
    • Checkin
      POST
    • Checkout
      POST
    • Cek Absensi
      GET
    • History
      GET
    • Stats
      GET
  1. public

Login

POST
/api/v1/auth/login

Request

Body Params application/json

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

🟠401Unauthorized
🟢200OK
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.side.my.id/api/v1/auth/login' \
--header 'Content-Type: application/json' \
--data '{
    "email": "string",
    "password": "string"
}'
Response Response Example
200 - Success
{
    "success": true,
    "message": "Login successful",
    "data": {
        "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoiNjg3NzhhY2E1YTUzN2ExZTRmZWQ0ZjY5IiwiaXNzIjoidWppa29tLWJhY2tlbmQiLCJzdWIiOiI2ODc3OGFjYTVhNTM3YTFlNGZlZDRmNjkiLCJleHAiOjE3NTI3NTEyODMsIm5iZiI6MTc1MjY2NDg4MywiaWF0IjoxNzUyNjY0ODgzfQ.XvQRyMt10XIXs47bjnnQzldkc5jNQPSA36uOXe8gICY",
        "user": {
            "id": "68778aca5a537a1e4fed4f69",
            "nis": "11111111",
            "name": "dimas",
            "kelas": "kelas bangg",
            "jurusan": "MIF",
            "email": "dimas@gmail.com",
            "is_active": true,
            "created_at": "2025-07-16T11:19:38.946Z",
            "updated_at": "2025-07-16T11:19:38.946Z"
        }
    },
    "timestamp": "2025-07-16 11:21:23"
}
Modified at 2025-06-19 05:46:02
Previous
Register
Next
Update Profile
Built with